import controlP5.*;


boolean isMoving = false;
void setup() {
  size(400, 400);
  orientation(LANDSCAPE);

  setupUI();
  setupJoystick(120, 265);

  setupBluetooth();
}


// Default Response
String lastCommand = "M,0,0";
String response = "";
boolean start = false;

int i = 0;
void draw() {
  String command;

  if (x == 0 && y == 0 && start) {
    command = "S";
  } 
  else {
    command = "M," + int(-x) + "," + int(y);
  }

  if (connected) {
    response = trim(btRead());
    if (!response.equals("")) {
      values = split(response, "|");
      if(values.length > 1){
      isMoving = values[1].equals("1");
      //
     
      //println("Response: " + response + ", next Comm: " + command);
      
      if ( (isMoving && command.equals("S")) || (!values[0].equals("Done:" + command) && !command.equals(lastCommand))) { 
        
        btComm("<" + command + ">");
        lastCommand = command;
        start = true;
      }
      }
    }
  }
  
  background(0); 
  joystickDraw();
}

