
ControlP5 cp5;

CheckBox chkStatus;

Toggle tgl1, tgl2, tgl3, tgl4;

Textlabel lblConsole;
Textarea txtConsole;
Println console;

Knob knobTurretRotation;
  PFont pfont;
  ControlFont font;


void setupUI() {
  
 pfont = loadFont("Standard0757-48.vlw");  // use true/false for smooth/no-smooth
   font = new ControlFont(pfont, 10);

  smooth();
  noStroke();


  // TODO, agregar area de radar, toggle de on off, joistick, toggle autonomo, toggle de sonido, toggle para luz frontal
  cp5 = new ControlP5(this);



  // On/Off
  tgl1 = cp5.addToggle("tglComm")
    .setCaptionLabel("ON / OFF")
      .setPosition(90, 40)
        .setSize(60, 30)
          .setValue(false);
  tgl1.getCaptionLabel().setControlFont(font);

  // Autonomous
  tgl2 = cp5.addToggle("tglAuto")
    .setCaptionLabel("AUTONOMOUS")
      .setPosition(90, 110)
        .setSize(60, 30)
          .setValue(false);
  tgl2.getCaptionLabel().setControlFont(font);
  
  // Light
 tgl3 = cp5.addToggle("tglLight")
   .setCaptionLabel("LIGHT")
     .setPosition(240, 210)
       .setSize(60, 30)
         .setValue(false);
 tgl3.getCaptionLabel().setControlFont(font);
 
 // Beep
 tgl4 = cp5.addToggle("tglBeep")
   .setCaptionLabel("BEEP")
     .setPosition(240, 280)
       .setSize(60, 30)
         .setValue(false);
 tgl4.getCaptionLabel().setControlFont(font);
 
 
  knobTurretRotation = cp5.addKnob("DISTANCE SENSOR")
    .setRange(20, 160)
      .setValue(90)
        .setPosition(210, 40)
          .setRadius(60)
            .setDragDirection(Knob.HORIZONTAL);

  knobTurretRotation.getCaptionLabel().setControlFont(font);
  knobTurretRotation.getValueLabel().setControlFont(font);

  
}
