boolean lights = false;

void switchLights(){
  lights = !lights;
  digitalWrite(LED1_PIN, lights ? HIGH : LOW);
  digitalWrite(LED2_PIN, lights ? HIGH : LOW);
}

void beep(int duration){
  playTone(956, duration);
}

void playTone(int tone, int duration) {
  for (long i = 0; i < duration * 1000L; i += tone * 2) {
    digitalWrite(SPK_PIN, HIGH);
    delayMicroseconds(tone);
    digitalWrite(SPK_PIN, LOW);
    delayMicroseconds(tone);
  }
}
